$primary: #002A8D;
$secondary: #FF7800;


$white: #fff;
$dark: #333939;
$dark-bold: #0C0C0C;

/* Fuentes Google */
@import url('https://fonts.googleapis.com/css2?family=Cabin&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

@font-face {
    font-family: 'flexoregular';
    src: url('../../../assets/fonts/durotype_-_flexo-regular-webfont.woff2') format('woff2'),
         url('../../../assets/fonts/durotype_-_flexo-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'flexobold';
    src: url('../../../assets/fonts/durotype_-_flexo-bold-webfont.woff2') format('woff2'),
         url('../../../assets/fonts/durotype_-_flexo-bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}


.font-cabin{
    font-family: 'Cabin', sans-serif;
}
.font-roboto-400{
    font-family: 'Roboto', sans-serif;
}

.font-12{
    font-size: 12px;
    @media (min-width: 1400px) and (max-width:1920px){
        font-size: 18px;
    }
    @media (min-width:1024px) and (max-width:1400px){
        font-size: 15px;
    } 
}
.font-flexo-400{
    font-family: 'flexoregular';
}

.font-flexo-700{
    font-family: 'flexobold';
}

#swal2-title{
    font-family: 'flexobold';
    color: $secondary;
}

#swal2-html-container{
    font-family: 'flexoregular';
    font-size: 16px;
}

button.swal2-confirm.swal2-styled {
    font-family: 'flexobold';
    background: $white;
    border: none;
    color: $dark;
    border-radius: 50px;
    padding: 10px 40px;
    border: 1px solid $dark;
    outline: none;
    font-size: 16px;
    cursor: pointer;
    outline: none;
    box-shadow: none;
    &:focus{
    box-shadow: none;
    }
    @media (max-width:768px){
        width: 65%;
    }
}

button.swal2-cancel.swal2-styled {
    font-family: "flexobold";
    background: $secondary;
    border: none;
    color: $white;
    border-radius: 50px;
    padding: 10px 40px;
    border: 1px solid $secondary;
    outline: none;
    font-size: 16px;
    cursor: pointer;
    @media (max-width:768px){
        width: 65%;
    }
}

.swal2-actions {
    margin-top: 10px !important;
}



@media (min-width: 2600px) and (max-width:8000px){
    .swal2-popup.swal2-modal.swal2-show{
        width: 95em;
    }
    #swal2-title {
        font-size: 60px;
    }
    #swal2-html-container {
        font-size: 55px;
        margin: 15px;
    }
    .swal2-confirm.swal2-styled {
        font-size: 45px !important;
        border: 6px solid $dark !important;
    }
    .swal2-cancel.swal2-styled{
        font-size: 45px !important;
        border: 6px solid $secondary !important;
    }
}

@media (min-width: 1920px) and (max-width:2600px){
    #swal2-title {
        font-size: 40px;
    }
    .swal2-popup.swal2-modal.swal2-show {
        width: 50em;
    }

    button.swal2-confirm.swal2-styled {
        border: 2px solid #333939 !important;
        font-size: 20px !important;
    }
    button.swal2-cancel.swal2-styled{
        border: 2px solid $secondary !important;
        font-size: 20px !important;
    }
    #swal2-html-container {
        font-size: 22px !important;
    }

}

@media (max-width:768px){
    .swal2-container.swal2-center.swal2-backdrop-show {
        overflow: hidden !important;
        overflow-y: hidden;
    }
    .swal2-popup.swal2-modal.swal2-show{
        overflow: hidden !important;
        overflow-y: hidden;
    }
    .swal2-popup.swal2-modal.swal2-show {
        flex-direction: column;
        display: flex !important;
        height: 100vh;
        margin: auto;
        top: 0vh;
        left: 0;
        right: 0;
        bottom: 0;
        margin: 0 auto;
        box-sizing: border-box;
        align-items: center;
        justify-content: center;
        padding-bottom: 0;
        border-radius: 0;
        width: 100%;
    }
    
    .swal2-container.swal2-center.swal2-backdrop-show {
        height: 100%;
        padding: 0;
        background: transparent;
        position: absolute !important;
    }
}

@media (max-width:600px){
    .swal2-container.swal2-center.swal2-backdrop-show {
        overflow: hidden !important;
        overflow-y: hidden;
    }
    .swal2-popup.swal2-modal.swal2-show{
        overflow: hidden !important;
        overflow-y: hidden;
    }

    body.login
    .swal2-popup.swal2-modal.swal2-show{
      height: auto;
      padding: 20px;
      width: 90%;
    }
    body.login
    .swal2-container.swal2-center.swal2-backdrop-show{
      background: #0000006b;
    }

    .swal2-popup.swal2-modal.swal2-show {
        flex-direction: column;
        display: flex !important;
        height: 100vh;
        margin: auto;
        top: 8vh;
        left: 0;
        right: 0;
        bottom: 0;
        margin: 0 auto;
        box-sizing: border-box;
        align-items: center;
        justify-content: center;
        padding-bottom: 0;
        border-radius: 0;
    }
    
    .swal2-container.swal2-center.swal2-backdrop-show {
        height: 100%;
        padding: 0;
        background: transparent;
        position: absolute !important;
    }
}



/* Loader */
.splash {
    position: absolute;
    z-index: 99;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: #0000004f;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    border-radius: 30px;
    .spinner {
      margin: 100px auto;
      width: 40px;
      height: 40px;
      position: relative;
      text-align: center;
  
      -webkit-animation: sk-rotate 2s infinite linear;
      animation: sk-rotate 2s infinite linear;
      @media (min-width: 2600px) and (max-width:8000px){
        width: 100px;
        height: 100px;
      }
    }
  
    h6 {
      margin: 0px;
      color: red;
      font-weight: 200;
      font-size: 16px;
    }
  
    .dot1,
    .dot2 {
      width: 60%;
      height: 60%;
      display: inline-block;
      position: absolute;
      top: 0;
      background-color: white;
      border-radius: 100%;
  
      -webkit-animation: sk-bounce 2s infinite ease-in-out;
      animation: sk-bounce 2s infinite ease-in-out;
    }
  
    .dot2 {
      top: auto;
      bottom: 0;
      -webkit-animation-delay: -1s;
      animation-delay: -1s;
    }
  
    @-webkit-keyframes sk-rotate {
      100% {
        -webkit-transform: rotate(360deg);
      }
    }
    @keyframes sk-rotate {
      100% {
        transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
      }
    }
  
    @-webkit-keyframes sk-bounce {
      0%,
      100% {
        -webkit-transform: scale(0);
      }
      50% {
        -webkit-transform: scale(1);
      }
    }
  
    @keyframes sk-bounce {
      0%,
      100% {
        transform: scale(0);
        -webkit-transform: scale(0);
      }
      50% {
        transform: scale(1);
        -webkit-transform: scale(1);
      }
    }
  }
  

  /* Modal */

  .modal-result {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    background: #00000040;
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
    &__action{
        position: absolute;
        top: 35px;
        right: 35px;
        cursor: pointer;
        @media (min-width: 2600px) and (max-width:8000px){
          top: 65px;
          right: 75px;
        }
        @media (min-width: 1920px) and (max-width:2600px){
          top: 45px;
          right: 45px;
        }
        @media (max-width:768px){
          top: 20px;
          right: 30px;
        } 
        img{
          @media (min-width: 2600px) and (max-width:8000px){
            width: 100px;
          }
          @media (min-width: 1920px) and (max-width:2600px){
            width: 60px;
          }
          @media (max-width:768px){
            width: 40px;
          } 
        }
    }
    &__body{
        text-align: center;
        h3{
            color: $secondary;
            font-size: 35px;
            text-align: center;
            padding-bottom: 13px;
            @media (min-width: 2600px) and (max-width:8000px){
              font-size: 65px;
            }
            @media (min-width:1920px) and (max-width:2600px){
              font-size: 30px;
            } 
            @media (min-width: 768px) and (max-width:1920px){
              font-size: 40px;
            }
            @media (max-width:768px){
              font-size: 22px;
              padding-bottom: 5px;
            } 
        }
        a{
            color: #002A8D;
            cursor: pointer;
            @media (min-width: 2600px) and (max-width:8000px){
              font-size: 58px;
            }
            @media (min-width: 1920px) and (max-width:2600px){
              font-size: 30px;
            }
            @media (max-width:768px){
              font-size: 14px;
            } 
        }
    }

    & > div{
        background: white;
        padding: 20px;
        box-sizing: border-box;
        border-radius: 100%;
        height: 350px;
        width: 350px;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        @media (min-width: 2600px) and (max-width:8000px){
          height: 800px;
          width: 800px;
        }
        @media (min-width: 1920px) and (max-width:2600px){
          height: 500px;
          width: 500px;
        }
        @media (max-width:768px){
          height: 300px;
          width: 300px;
        } 
    }

}
